Get an attachment of calculation card
get
/hcmRestApi/resources/11.13.18.05/calculationEntries/{DirCardId}/child/CIRComponent/{CIRComponentUniqID}/child/CIRComponentAttachments/{CIRComponentAttachmentsUniqID}
Request
Path Parameters
-
CIRComponentAttachmentsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Calculation Card Component Attachments resource and used to uniquely identify an instance of Calculation Card Component Attachments. The client should not generate the hash key value. Instead, the client should query on the Calculation Card Component Attachments collection resource in order to navigate to a specific instance of Calculation Card Component Attachments to get the hash key.
-
CIRComponentUniqID(required): string
This is the hash key of the attributes which make up the composite key--- EffectiveStartDate, EffectiveEndDate and DirCardCompId ---for the Calculation Card Component resource and used to uniquely identify an instance of Calculation Card Component. The client should not generate the hash key value. Instead, the client should query on the Calculation Card Component collection resource with a filter on the primary key values in order to navigate to a specific instance of Calculation Card Component.
For example: CIRComponent?q=EffectiveStartDate=<value1>;EffectiveEndDate=<value2>;DirCardCompId=<value3> -
DirCardId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : calculationEntries-CIRComponent-CIRComponentAttachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdThe identifier used to track asynchronous background uploads of file contents. This field can only be used when the DatatypeCode="FILE". When queried it will only show when the ErrorCode="Pending" which signifies that a background upload has been registered but not yet completed. The async tracker id can only be set upon creation of an attachment. If the FileContents and tracker id are set then the tracker will be ignored. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document Id -
CategoryName: string
Title:
CategoryMaximum Length:30 - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255 -
CreatedByUserName: string
Title:
Created By User NameRead Only:true -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:true -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILE -
Description: string
Title:
DescriptionMaximum Length:255 -
DmDocumentId: string
Maximum Length:
255 -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000 -
DmVersionNumber: string
Maximum Length:
255 -
DownloadInfo: string
Title:
DownloadInfo -
ErrorStatusCode: string
Title:
Error Status Code -
ErrorStatusMessage: string
Title:
Error Status Message -
ExpirationDate: string
(date-time)
Title:
Expiration Date -
FileContents: string
(byte)
Title:
File Contents -
FileName: string
Title:
File NameMaximum Length:2048 -
FileUrl: string
Title:
File Url -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:true -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:true -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255 -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:true -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingAction -
Title: string
Title:
Title -
UploadedFileContentType: string
Title:
Uploaded File Content Type -
UploadedFileLength: integer
Title:
File Size -
UploadedFileName: string
Title:
Uploaded File Name -
UploadedText: string
Title:
Uploaded Text -
Uri: string
Title:
UriMaximum Length:4000 -
Url: string
Title:
UrlMaximum Length:4000 -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.